Module java.desktop
Package java.beans.beancontext

## Class BeanContextMembershipEvent

- java.lang.Object
- - java.util.EventObject
  - - java.beans.beancontext.BeanContextEvent
    - - java.beans.beancontext.BeanContextMembershipEvent

All Implemented Interfaces:
  `Serializable`

    public class BeanContextMembershipEvent
    extends BeanContextEvent

A `BeanContextMembershipEvent` encapsulates the list of children added to, or removed from, the membership of a particular `BeanContext`. An instance of this event is fired whenever a successful add(), remove(), retainAll(), removeAll(), or clear() is invoked on a given `BeanContext` instance. Objects interested in receiving events of this type must implement the `BeanContextMembershipListener` interface, and must register their intent via the `BeanContext`'s `addBeanContextMembershipListener(BeanContextMembershipListener bcml)` method.

Since:
  1.2
See Also:
  `BeanContext`, `BeanContextEvent`, `BeanContextMembershipListener`, Serialized Form

### Field Summary

Fields
`protected Collection` `children` The list of children affected by this event notification.

### Fields declared in class java.beans.beancontext.BeanContextEvent

`propagatedFrom`

### Fields declared in class java.util.EventObject

`source`

### Constructor Summary

Constructors
`BeanContextMembershipEvent​(BeanContext bc, Object[] changes)` Contruct a BeanContextMembershipEvent
`BeanContextMembershipEvent​(BeanContext bc, Collection changes)` Contruct a BeanContextMembershipEvent

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `contains​(Object child)` Is the child specified affected by the event?
`Iterator` `iterator()` Gets the array of children affected by this event.
`int` `size()` Gets the number of children affected by the notification.
`Object[]` `toArray()` Gets the array of children affected by this event.

### Methods declared in class java.beans.beancontext.BeanContextEvent

`getBeanContext, getPropagatedFrom, isPropagated, setPropagatedFrom`

### Methods declared in class java.util.EventObject

`getSource, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### children

    protected Collection children

The list of children affected by this event notification.

### Constructor Detail

#### BeanContextMembershipEvent

    public BeanContextMembershipEvent​(BeanContext bc,
                                      Collection changes)

Contruct a BeanContextMembershipEvent

Parameters:
  `bc` - The BeanContext source
  `changes` - The Children affected
Throws:
  `NullPointerException` - if `changes` is `null`

#### BeanContextMembershipEvent

    public BeanContextMembershipEvent​(BeanContext bc,
                                      Object[] changes)

Contruct a BeanContextMembershipEvent

Parameters:
  `bc` - The BeanContext source
  `changes` - The Children effected
Throws:
  `NullPointerException` - if changes associated with this event are null.

### Method Detail

#### size

    public int size()

Gets the number of children affected by the notification.

Returns:
  the number of children affected by the notification

#### contains

    public boolean contains​(Object child)

Is the child specified affected by the event?

Parameters:
  `child` - the object to check for being affected
Returns:
  `true` if affected, `false` if not

#### toArray

    public Object[] toArray()

Gets the array of children affected by this event.

Returns:
  the array of children affected

#### iterator

    public Iterator iterator()

Gets the array of children affected by this event.

Returns:
  the array of children effected